Update Compliance Data
curl --request PATCH \
--url https://api.prod.bastion.com/v2/identities/{identity_id}/compliance \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"update_reason": "USER_INITIATED",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"update_data": {
"kyc": {
"phone_number": "<string>",
"email_address": "<string>"
}
}
}
'import requests
url = "https://api.prod.bastion.com/v2/identities/{identity_id}/compliance"
payload = {
"update_reason": "USER_INITIATED",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"update_data": { "kyc": {
"phone_number": "<string>",
"email_address": "<string>"
} }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
update_reason: 'USER_INITIATED',
request_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
update_data: {kyc: {phone_number: '<string>', email_address: '<string>'}}
})
};
fetch('https://api.prod.bastion.com/v2/identities/{identity_id}/compliance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
update_reason: 'USER_INITIATED',
request_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
update_data: {kyc: {phone_number: '<string>', email_address: '<string>'}}
})
};
fetch('https://api.prod.bastion.com/v2/identities/{identity_id}/compliance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.prod.bastion.com/v2/identities/{identity_id}/compliance"
payload := strings.NewReader("{\n \"update_reason\": \"USER_INITIATED\",\n \"request_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"update_data\": {\n \"kyc\": {\n \"phone_number\": \"<string>\",\n \"email_address\": \"<string>\"\n }\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.prod.bastion.com/v2/identities/{identity_id}/compliance")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"update_reason\": \"USER_INITIATED\",\n \"request_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"update_data\": {\n \"kyc\": {\n \"phone_number\": \"<string>\",\n \"email_address\": \"<string>\"\n }\n }\n}")
.asString();val client = OkHttpClient()
val mediaType = MediaType.parse("application/json")
val body = RequestBody.create(mediaType, "{\n \"update_reason\": \"USER_INITIATED\",\n \"request_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"update_data\": {\n \"kyc\": {\n \"phone_number\": \"<string>\",\n \"email_address\": \"<string>\"\n }\n }\n}")
val request = Request.Builder()
.url("https://api.prod.bastion.com/v2/identities/{identity_id}/compliance")
.patch(body)
.addHeader("Authorization", "Bearer <token>")
.addHeader("Content-Type", "application/json")
.build()
val response = client.newCall(request).execute()falseimport Foundation
let parameters = [
"update_reason": "USER_INITIATED",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"update_data": ["kyc": [
"phone_number": "<string>",
"email_address": "<string>"
]]
] as [String : Any?]
let postData = try JSONSerialization.data(withJSONObject: parameters, options: [])
let url = URL(string: "https://api.prod.bastion.com/v2/identities/{identity_id}/compliance")!
var request = URLRequest(url: url)
request.httpMethod = "PATCH"
request.timeoutInterval = 10
request.allHTTPHeaderFields = [
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
]
request.httpBody = postData
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))using RestSharp;
var options = new RestClientOptions("https://api.prod.bastion.com/v2/identities/{identity_id}/compliance");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"update_reason\": \"USER_INITIATED\",\n \"request_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"update_data\": {\n \"kyc\": {\n \"phone_number\": \"<string>\",\n \"email_address\": \"<string>\"\n }\n }\n}", false);
var response = await client.PatchAsync(request);
Console.WriteLine("{0}", response.Content);
require 'uri'
require 'net/http'
url = URI("https://api.prod.bastion.com/v2/identities/{identity_id}/compliance")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"update_reason\": \"USER_INITIATED\",\n \"request_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"update_data\": {\n \"kyc\": {\n \"phone_number\": \"<string>\",\n \"email_address\": \"<string>\"\n }\n }\n}"
response = http.request(request)
puts response.read_body{}Compliance
Update Compliance Data
Update an identity’s compliance data. Note that only certain KYC fields for individual identities are updatable at this time.
PATCH
/
v2
/
identities
/
{identity_id}
/
compliance
Update Compliance Data
curl --request PATCH \
--url https://api.prod.bastion.com/v2/identities/{identity_id}/compliance \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"update_reason": "USER_INITIATED",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"update_data": {
"kyc": {
"phone_number": "<string>",
"email_address": "<string>"
}
}
}
'import requests
url = "https://api.prod.bastion.com/v2/identities/{identity_id}/compliance"
payload = {
"update_reason": "USER_INITIATED",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"update_data": { "kyc": {
"phone_number": "<string>",
"email_address": "<string>"
} }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
update_reason: 'USER_INITIATED',
request_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
update_data: {kyc: {phone_number: '<string>', email_address: '<string>'}}
})
};
fetch('https://api.prod.bastion.com/v2/identities/{identity_id}/compliance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
update_reason: 'USER_INITIATED',
request_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
update_data: {kyc: {phone_number: '<string>', email_address: '<string>'}}
})
};
fetch('https://api.prod.bastion.com/v2/identities/{identity_id}/compliance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.prod.bastion.com/v2/identities/{identity_id}/compliance"
payload := strings.NewReader("{\n \"update_reason\": \"USER_INITIATED\",\n \"request_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"update_data\": {\n \"kyc\": {\n \"phone_number\": \"<string>\",\n \"email_address\": \"<string>\"\n }\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.prod.bastion.com/v2/identities/{identity_id}/compliance")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"update_reason\": \"USER_INITIATED\",\n \"request_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"update_data\": {\n \"kyc\": {\n \"phone_number\": \"<string>\",\n \"email_address\": \"<string>\"\n }\n }\n}")
.asString();val client = OkHttpClient()
val mediaType = MediaType.parse("application/json")
val body = RequestBody.create(mediaType, "{\n \"update_reason\": \"USER_INITIATED\",\n \"request_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"update_data\": {\n \"kyc\": {\n \"phone_number\": \"<string>\",\n \"email_address\": \"<string>\"\n }\n }\n}")
val request = Request.Builder()
.url("https://api.prod.bastion.com/v2/identities/{identity_id}/compliance")
.patch(body)
.addHeader("Authorization", "Bearer <token>")
.addHeader("Content-Type", "application/json")
.build()
val response = client.newCall(request).execute()falseimport Foundation
let parameters = [
"update_reason": "USER_INITIATED",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"update_data": ["kyc": [
"phone_number": "<string>",
"email_address": "<string>"
]]
] as [String : Any?]
let postData = try JSONSerialization.data(withJSONObject: parameters, options: [])
let url = URL(string: "https://api.prod.bastion.com/v2/identities/{identity_id}/compliance")!
var request = URLRequest(url: url)
request.httpMethod = "PATCH"
request.timeoutInterval = 10
request.allHTTPHeaderFields = [
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
]
request.httpBody = postData
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))using RestSharp;
var options = new RestClientOptions("https://api.prod.bastion.com/v2/identities/{identity_id}/compliance");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"update_reason\": \"USER_INITIATED\",\n \"request_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"update_data\": {\n \"kyc\": {\n \"phone_number\": \"<string>\",\n \"email_address\": \"<string>\"\n }\n }\n}", false);
var response = await client.PatchAsync(request);
Console.WriteLine("{0}", response.Content);
require 'uri'
require 'net/http'
url = URI("https://api.prod.bastion.com/v2/identities/{identity_id}/compliance")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"update_reason\": \"USER_INITIATED\",\n \"request_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"update_data\": {\n \"kyc\": {\n \"phone_number\": \"<string>\",\n \"email_address\": \"<string>\"\n }\n }\n}"
response = http.request(request)
puts response.read_body{}Authorizations
Bearer authentication with an API token
Path Parameters
Unique identifier of the identity whose compliance data is to be updated
Body
application/json
Reason for the compliance data update
Available options:
UPDATE_REASON_UNSPECIFIED, USER_INITIATED, EDD_REQUEST, DATA_CORRECTION Example:
"USER_INITIATED"
Client-provided request identifier in UUID format. Serves as an idempotency key.
Pattern:
^[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}$The compliance data to update
Show child attributes
Show child attributes
Response
Success
The response is of type UpdateComplianceDataResponse · object.